Package org.drinkless.tdlib

# Class TdApi.ChatFolderName

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatFolderName

Enclosing class:
  `TdApi`

public static class TdApi.ChatFolderName extends TdApi.Object
Describes name of a chat folder.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `animateCustomEmoji`
  True, if custom emoji in the name must be animated.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `text`
  The text of the chat folder name; 1-12 characters without line feeds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatFolderName()`
  Describes name of a chat folder.
  `ChatFolderName(TdApi.FormattedText text, boolean animateCustomEmoji)`
  Describes name of a chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    The text of the chat folder name; 1-12 characters without line feeds. May contain only CustomEmoji entities.

  - ### animateCustomEmoji

    public boolean animateCustomEmoji
    True, if custom emoji in the name must be animated.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatFolderName

    public ChatFolderName()
    Describes name of a chat folder.

  - ### ChatFolderName

    public ChatFolderName(TdApi.FormattedText text, boolean animateCustomEmoji)
    Describes name of a chat folder.
    Parameters:
      `text` - The text of the chat folder name; 1-12 characters without line feeds. May contain only CustomEmoji entities.
      `animateCustomEmoji` - True, if custom emoji in the name must be animated.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR